org.eclipse.january.dataset

## Class LazyMaths

- java.lang.Object
- - org.eclipse.january.dataset.LazyMaths

-     public final class LazyMaths
      extends Object

  Mathematics class for lazy datasets

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Dataset` | `max(ILazyDataset data, int... axes)`
    `static Dataset` | `mean(ILazyDataset data, int... ignoreAxes)`
    `static Dataset` | `mean(int start, int stop, ILazyDataset data, int... ignoreAxes)`
    `static Dataset` | `min(ILazyDataset data, int... axes)`
    `static Dataset` | `product(ILazyDataset data, int axis)`
    `static Dataset` | `sum(ILazyDataset data, boolean ignore, int... axes)`
    `static Dataset` | `sum(ILazyDataset data, int... ignoreAxes)`
    `static Dataset` | `sum(ILazyDataset data, int axis)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### max

          public static Dataset max(ILazyDataset data,
                                    int... axes)
                             throws DatasetException

      Parameters:
        `data` - lazy dataset
        `axes` - (can be negative). If null or empty then use all axes
      Returns:
        maximum along axes in lazy dataset
      Throws:
        `DatasetException` - when data cannot be retrieved
      Since:
        2.1

    - #### min

          public static Dataset min(ILazyDataset data,
                                    int... axes)
                             throws DatasetException

      Parameters:
        `data` - lazy dataset
        `axes` - (can be negative). If null or empty then use all axes
      Returns:
        minimum along axes in lazy dataset
      Throws:
        `DatasetException` - when data cannot be retrieved
      Since:
        2.1

    - #### sum

          public static Dataset sum(ILazyDataset data,
                                    int axis)
                             throws DatasetException

      Parameters:
        `data` - lazy dataset
        `axis` - (can be negative)
      Returns:
        sum along axis in lazy dataset
      Throws:
        `DatasetException` - when data cannot be retrieved

    - #### sum

          public static Dataset sum(ILazyDataset data,
                                    int... ignoreAxes)
                             throws DatasetException

      Parameters:
        `data` - lazy dataset
        `ignoreAxes` - axes to ignore
      Returns:
        sum when given axes are ignored in lazy dataset
      Throws:
        `DatasetException` - when data cannot be retrieved
      Since:
        2.0

    - #### sum

          public static Dataset sum(ILazyDataset data,
                                    boolean ignore,
                                    int... axes)
                             throws DatasetException

      Parameters:
        `data` - lazy dataset
        `ignore` - if true, ignore the provided axes, otherwise use only the provided axes
        `axes` - axes to ignore or accept, depending on the preceding flag
      Returns:
        sum over all used axes
      Throws:
        `DatasetException` - when data cannot be retrieved
      Since:
        2.0

    - #### product

          public static Dataset product(ILazyDataset data,
                                        int axis)
                                 throws DatasetException

      Parameters:
        `data` - lazy dataset
        `axis` - (can be negative)
      Returns:
        product along axis in lazy dataset
      Throws:
        `DatasetException` - when data cannot be retrieved

    - #### mean

          public static Dataset mean(int start,
                                     int stop,
                                     ILazyDataset data,
                                     int... ignoreAxes)
                              throws DatasetException

      Parameters:
        `start` - number to begin at
        `stop` - inclusive
        `data` - lazy dataset
        `ignoreAxes` - axes to ignore
      Returns:
        mean when given axes are ignored in lazy dataset
      Throws:
        `DatasetException` - when data cannot be retrieved

    - #### mean

          public static Dataset mean(ILazyDataset data,
                                     int... ignoreAxes)
                              throws DatasetException

      Parameters:
        `data` - lazy dataset
        `ignoreAxes` - axes to ignore
      Returns:
        mean when given axes are ignored in lazy dataset
      Throws:
        `DatasetException` - when data cannot be retrieved

Copyright © 2014–2022 Eclipse Foundation. All rights reserved.